Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.metadataprocessors.internal.provisional
Class CMAnnotationContext

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.CMAnnotationContext

public class CMAnnotationContext
extends java.lang.Object

The current context of the annotation file being used for processing

Constructor Summary
`CMAnnotationContext(java.lang.String bundleId, java.lang.String uri, java.lang.String elementName)`
`CMAnnotationContext(java.lang.String bundleId, java.lang.String uri, java.lang.String elementName, java.lang.String attributeName)`

Method Summary
`java.lang.String` | `getAttributeName()`
`java.lang.String` | `getBundleId()`
`java.lang.String` | `getElementName()`
`java.lang.String` | `getUri()`
`boolean` | `isAttributeContext()`
`boolean` | `isElementContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMAnnotationContext

    public CMAnnotationContext(java.lang.String bundleId,
                               java.lang.String uri,
                               java.lang.String elementName)

### CMAnnotationContext

    public CMAnnotationContext(java.lang.String bundleId,
                               java.lang.String uri,
                               java.lang.String elementName,
                               java.lang.String attributeName)

Method Detail

### isAttributeContext

    public boolean isAttributeContext()

### isElementContext

    public boolean isElementContext()

### getAttributeName

    public java.lang.String getAttributeName()

### getElementName

    public java.lang.String getElementName()

### getUri

    public java.lang.String getUri()

### getBundleId

    public java.lang.String getBundleId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD